Page MenuHomePhabricator

Create unit tests for Reading Lists core classes
Closed, ResolvedPublic

Description

From parent T184544: [EPIC] Write integration tests for ReadingLists extension:

From the coverage's dashboard is also possible to see that some core classes need unit tests too.

https://doc.wikimedia.org/cover-extensions/ReadingLists/src/index.html

  • HookHandler (0%) (Not really testable)
  • ReverseInterwikiLookup (0%)
  • Utils.php (57.69%)

Event Timeline

MSantos created this task.Sep 13 2018, 6:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2018, 6:21 PM
MSantos updated the task description. (Show Details)Sep 13 2018, 6:24 PM
MSantos claimed this task.Nov 20 2018, 5:21 PM
MSantos triaged this task as Normal priority.
Tgr added a subscriber: Tgr.Dec 1 2018, 3:07 AM

ReverseInterwikiLookup and Utils::getDeletedExpiry could probably use some tests, the rest is not really testable.

Change 479357 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/ReadingLists@master] Improve core classes unit testing

https://gerrit.wikimedia.org/r/479357

Change 479357 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@master] Improve core classes unit testing

https://gerrit.wikimedia.org/r/479357

MSantos closed this task as Resolved.Feb 7 2019, 6:21 PM
MSantos updated the task description. (Show Details)